/************************************************************************
Contains the class definition of class input
************************************************************************/
#ifndef _INPUT_H
#define _INPUT_H
#include "Angel.h"
#include "HelperFunctions.h"
	
namespace InputNS
{
	const int PART_0 =  0; //might not be used but could be for debug?
	const int PART_1 = 1;
	const int PART_2 = 2;
};

class Input
{
public:
			Input();
	void	mouse(const int button, const int state, const int x, const int y);
	void	keyboard(const unsigned char key, const int x, const int y);
	void	specialkeys(const int key, const int x, const int y);
	void	reset();
	void	setPart(int p) {part = p;}
private:
	GLuint xPos, yPos, zPos;
	GLuint roll, pitch, yaw;
	bool m_mlDown;
	int part;
};
#endif